# Maintainer: Rafael from azul repository

pkgname=yaru-theme-gnome-shell
pkgver=22.04.4
pkgrel=1.1
pkgdesc='Yaru theme gnome shell from Ubuntu. All colors.'
arch=('any')
url='https://launchpad.net/ubuntu/+source/yaru-theme'
urldown='https://launchpad.net/ubuntu/+archive/primary/+files'
license=('GPL3')
provides=("${pkgname}-${pkgver}")
conflicts=("yaru-gnome-shell-theme")
source=("${urldown}/${pkgname}_${pkgver}_all.deb")
sha512sums=('739deed754fa865f24a29c1e9314380b43ce236381a12f5a605f784c42faf1dc05daca81d148f6bdf5c19998a3fd29a78c789794359d6c19c1836f992c07aa62')

package() {
  install -dm755 ${pkgdir}/usr/share/doc/${pkgname}
  install -dm755 ${pkgdir}/usr/share/gnome-shell
  install -dm755 ${pkgdir}/usr/share/themes
  mkdir -p ${pkgdir}/usr/share/licenses/${pkgname}
  tar -xvf ${srcdir}/data.tar.zst
  cp -r  ${srcdir}/usr/share/doc/${pkgname}/* ${pkgdir}/usr/share/doc/${pkgname}
  cp -r  ${srcdir}/usr/share/gnome-shell/* ${pkgdir}/usr/share/gnome-shell
  cp -r  ${srcdir}/usr/share/themes/* ${pkgdir}/usr/share/themes
  cp -r  ${srcdir}/usr/share/doc/${pkgname}/copyright ${pkgdir}/usr/share/licenses/${pkgname}
  find ${pkgdir}/usr -type f -exec chmod 644 {} \;
  find ${pkgdir}/usr -type d -exec chmod 755 {} \;
}

